# WEB+DB PRESS Vol.102 連載「実践！ 先進的インフラ運用」サンプルコード

技術評論社刊「WEB+DB PRESS Vol.103」の連載「実践！ 先進的インフラ運用」第5回「一歩先行くコンテナ管理アーキテクチャ」（近藤 宇智朗著）のサンプルコードです。

本誌の手順の通りに進めることができますが、ここでは補足的な事項について述べます。

## 個々のマシンのセットアップについて

* それぞれのホスト名のディレクトリにある `setup.sh` を参照し、本誌の順番通りにそれぞれのホストで実行してください。
* 特にConsulに関しては、cmdb-1で立ち上がっていない場合セットアップに失敗するでしょう。
* ConsulのUnitファイルについては、 `/etc/systemd/system/consul.service` という名前で保存し以下を実行すればsystemd管理になります。

```
$ sudo systemctl daemon-reload
$ sudo systemctl restart consul
```

## ngx_mruby、Haconiwaのビルドについて

* それぞれのプロジェクトのREADMEを参考にビルドに挑戦してみてください。
* `build_config.rb` はngx_mrubyのものはlb-1ディレクトリ、Haconiwaのものはcompute-1ディレクトリに格納しています。それぞれ置き換えてご利用ください。
