def listen?(cip, cport)
  !!(TCPSocket.open cip, cport) rescue false
end

r = Nginx::Request.new
CID = r.headers_in["X-CID"]
kv = Consul::Kv.new(host: 'localhost', port: 8500)
body = JSON.parse(kv.get("containers/#{CID}")["body"])
cip = body['container']['ip']
cport = 80

if listen?(cip, cport)
  "#{cip}:#{cport}"
else
  command = [
    "/usr/bin/env", "CID=#{CID}", "IP=#{cip}", "haconiwa",
    "run", "/var/lib/hacos/"+body['container']['hacofile']
  ].join(' ')
  clean_spawn '/bin/bash', '-c', command
  50.times do
    usleep 100 * 1000
    break if listen?(cip, cport)
  end
  "#{cip}:#{cport}"
end
